/*
 *	Main.h
 *
 *	General interface definitions for the main application
 */

/* Useful macros */

#define NIL ((void *)0)
#define MAXWINDOWS 16
#define WIDGETHEIGHT	64
#define WIDGETWIDTH		64
#define SCROLLBARWIDTH	16
#define TITLEBARHEIGHT	21

/* Useful types and IDs */

#define fezHatColorIconID	128
#define fezHatSelectedID	129

#define aboutBoxAlertID		129

#define appleMenuID	128
enum {
		AM_About = 1
	};

#define fileMenuID	129
enum {
		FM_New = 1,
		FM_Open,
		FM_Close,
		FM_______4,
		FM_Quit
	};

#define editMenuID	132
enum {
		EM_Undo = 1,
		EM_____2,
		EM_Cut,
		EM_Copy,
		EM_Clear,
		EM_Paste,
		EM_____7,
		EM_SelectAll
	};

#define demoMenuID 130
enum {
		DM_Demo0 = 1,
		DM_Demo1,
		DM_Demo2,
		DM_Demo3,
		
		DM_TopDemo
	};

#define optionsMenuID 131
enum {
		OM_SetLine
	};

#define windowMenuID	133
// items created dynamically

typedef struct {

	Rect		position;					// Local window coords of openable widget
	WindowPtr	openWindow;					// The window it got opened into
	WindowPtr	itsWindow;					// The window it is within
	short		isSelected;					// Needs selection highlight
	
	} Widget, *WidgetPtr, **WidgetHandle;




short GetLineThick(short oldThick);
